## org.apache.fop.layout.inline
Class InlineArea

    java.lang.Object
      |
      +--org.apache.fop.layout.Box
            |
            +--org.apache.fop.layout.Area
                  |
                  +--org.apache.fop.layout.inline.InlineArea

Direct Known Subclasses:
  ForeignObjectArea, LeaderArea, WordArea

public abstract class InlineArea
extends Area

Field Summary
`protected int` `height`
`protected boolean` `lineThrough`
`protected boolean` `overlined`
`protected java.lang.String` `pageNumberId`
`protected boolean` `underlined`

Fields inherited from class org.apache.fop.layout.Area

`allocationWidth, backgroundColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderStyleBottom, borderStyleLeft, borderStyleRight, borderStyleTop, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, children, contentRectangleWidth, currentHeight, foCreator, fontState, maxHeight, paddingBottom, paddingLeft, paddingRight, paddingTop, page, tableCellXOffset`

Fields inherited from class org.apache.fop.layout.Box
`areaTree, parent`

Constructor Summary
`InlineArea(FontState fontState, int width, float red, float green, float blue)`

Method Summary
`float` `getBlue()`
`float` `getGreen()`
`int` `getHeight()`
`boolean` `getLineThrough()`
`boolean` `getOverlined()`
`java.lang.String` `getPageNumberID()`
`float` `getRed()`
`boolean` `getUnderlined()`
`int` `getVerticalAlign()`
`int` `getYOffset()`
`void` `setHeight(int height)`
`void` `setLineThrough(boolean lt)`
`void` `setOverlined(boolean ol)`
`void` `setUnderlined(boolean ul)`
`void` `setVerticalAlign(int align)`
`void` `setYOffset(int yOffset)`

Methods inherited from class org.apache.fop.layout.Area

`addChild, addChildAtStart, addDisplaySpace, end, getAbsoluteHeight, getAllocationWidth, getBackgroundColor, getChildren, getContentHeight, getContentWidth, getfoCreator, getFontInfo, getFontState, getIDReferences, getMaxHeight, getNearestAncestorAreaContainer, getPaddingBottom, getPaddingLeft, getPaddingRight, getPaddingTop, getPage, getParent, getTableCellXOffset, increaseAbsoluteHeight, increaseHeight, remove, removeChild, removeChild, setAbsoluteHeight, setAllocationWidth, setBackgroundColor, setBorderColor, setBorderStyle, setBorderWidth, setIDReferences, setMaxHeight, setPadding, setPage, setParent, setTableCellXOffset, spaceLeft, start`

Methods inherited from class org.apache.fop.layout.Box
`render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### height

    protected int height

### pageNumberId

    protected java.lang.String pageNumberId

### underlined

    protected boolean underlined

### overlined

    protected boolean overlined

### lineThrough

    protected boolean lineThrough

Constructor Detail

### InlineArea

    public InlineArea(FontState fontState,
                      int width,
                      float red,
                      float green,
                      float blue)

Method Detail

### getBlue

    public float getBlue()

### getGreen

    public float getGreen()

### getRed

    public float getRed()

### setHeight

    public void setHeight(int height)

  Overrides:
    setHeight in class Area

### getHeight

    public int getHeight()

  Overrides:
    getHeight in class Area

### setVerticalAlign

    public void setVerticalAlign(int align)

### getVerticalAlign

    public int getVerticalAlign()

### setYOffset

    public void setYOffset(int yOffset)

### getYOffset

    public int getYOffset()

### getPageNumberID

    public java.lang.String getPageNumberID()

### setUnderlined

    public void setUnderlined(boolean ul)

### getUnderlined

    public boolean getUnderlined()

### setOverlined

    public void setOverlined(boolean ol)

### getOverlined

    public boolean getOverlined()

### setLineThrough

    public void setLineThrough(boolean lt)

### getLineThrough

    public boolean getLineThrough()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.